// Sous-programme du WattMètre - Affichage sur Écran LCD 2 ligne de 16 caractères

// Ajout Zéro devant un simple chiffre (temps)
String Ajout0(byte nbr)
{
  if (nbr  < 10) return "0" + String(nbr);
  else           return       String(nbr);
}

// Affichage des données Mesurées
void AfficherM()
{
  // Ligne 1 : Tension & WattTot
  Message = String(TensionB, 2) + "V   ";
  lcd.setCursor(0, 0);
  lcd.print(Message);
  Message = String(WattTot, 2) + "W   ";
  lcd.setCursor(8, 0);
  lcd.print(Message);

  // Ligne 2 : Courant & Ah
  Message = String(Courant, 3) + "A  ";
  lcd.setCursor(0, 1);
  lcd.print(Message);
  Message = String(AhTot, 3) + "Ah  ";
  lcd.setCursor(8, 1);
  lcd.print(Message);
}

// Affichage des données et du Temps
void AfficherT()
{
  // Ligne 1 : Tension & WattTot
  Message = String(TensionB, 2) + "V   ";
  lcd.setCursor(0, 0);
  lcd.print(Message);

  Message = Ajout0(Heure) + ":" + Ajout0(Minute) + ":" + Ajout0(Second);
  lcd.setCursor(8, 0);
  lcd.print(Message);

  // Ligne 2 : Courant & Durée
  byte h = Duree / 3600;
  byte m = ((Duree - (h * 3600)) / 60);
  byte s = Duree % 60;
  Message = String(Courant,3) + "A  ";
  lcd.setCursor(0, 1);
  lcd.print(Message);
  Message = Ajout0(h) + ":" + Ajout0(m) + ":" + Ajout0(s);
  lcd.setCursor(8, 1);
  lcd.print(Message);
}

// Affichage Pas de Charge et l'heure
void AfficheNoCharge()
{
  // Ligne 1 : Pas de Cahrge
  Message = "Pas de Charge ! ";
  lcd.setCursor(0, 0);
  lcd.print(Message);

  // Ligne 2 : Temps
  lcd.setCursor(0, 1);
  lcd.print("        ");
  Message = Ajout0(Heure) + ":" + Ajout0(Minute) + ":" + Ajout0(Second);
  lcd.setCursor(8, 1);
  lcd.print(Message);
}

// Transfert en cours
void AfficheTrans()
{
  // Ligne 1 : Transfert en cours
  Message = "Transfert ......";
  lcd.setCursor(0, 0);
  lcd.print(Message);

  // Ligne 2 : Temps
  lcd.setCursor(0, 1);
  lcd.print("        ");
  Message = Ajout0(Heure) + ":" + Ajout0(Minute) + ":" + Ajout0(Second);
  lcd.setCursor(8, 1);
  lcd.print(Message);
}

