// Sous-programme du WattMètre - Mesure de Tension et de Courant

// Mesure de Tension Chargeur sur l'entrée 3
void MesureTensionC()
{
  // Résistance de 100Kohm sur le +54V
  // Résistance 6,8Kohm sur la masse, le point de mesure entre les 2
  // Calcul du Facteur de Conversion : 54,5V (chargeur) / 3,74 (mesure) = 14,5722;
  // 65536 (pas de conversion) / 14,5722 * 10 = 449,65 = Coef de conversion effectif
  TensionC = float(lireADC(0, 3) / 449.65); // Tension comprise entre 30v et 60v
}

// Mesure de Tension Batterie sur l'entrée 2
void MesureTensionB()
{
  // Résistance de 100Kohm sur le +54V
  // Résistance 6,8Kohm sur la masse, le point de mesure entre les 2
  // Calcul du Facteur de Conversion : 54,5V (chargeur) / 3,74 (mesure) = 14,5722;
  // 65536 (pas de conversion) / 14,5722 * 10 = 449,65 = Coef de conversion effectif
  TensionB = float(lireADC(0, 2) / 449.65); // Tension comprise entre 30v et 60v
}

// Mesure de Courant sur l'entrée 1
void MesureCourant()
{
  // Calcul du Fcteur de Conversion : 185 mv/A
  int val = lireADC(1, 1) - CourRef;    // Valeur corrigé du Courant
  if (val < 0) val = 0;
  Courant = float(val / 1101.1);        // Courant 0 à 3A
}

// Mesure de Tension 5V sur l'entrée 0
void MesureTens5v()
{
  Tension5v = float(lireADC(0, 0) / 6553.6); // Mesure la Tension de l'Arduino
}
